<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		david.cifuentes
@description 	Pantalla que me muestra los datos de una comisión, y es 
                usada para hacer el rechazo de la misma caso de uso 175.

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="datosComisionARechazarForm">

    <p:messages id="msgDetalleComision" showDetail="false"
                globalOnly="false" autoUpdate="false" />

    <h:panelGrid id="detalleComision" width="100%">
        <p:fieldset>
            <legend> <h:outputLabel value="Detalle de la comisión"
                                    styleClass="legendTitle" /> </legend>

            <p:spacer width="20" />
            <h:panelGrid columns="4" width="100%" cellspacing="5" cellpadding="5">

                <h:outputLabel value="Número de comisión: "
                               styleClass="outputLabelStyle" />
                <h:outputText id="numeroComision"
                              value="#{aprobacionComisiones.comisionSeleccionada.numero}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Fecha inicio de comisión: "
                               styleClass="outputLabelStyle" />

                <h:outputText id="fechaInicialComision"
                              value="#{aprobacionComisiones.comisionSeleccionada.fechaInicio}"
                              styleClass="outputTextStyle" >
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                </h:outputText>

                <h:outputLabel value="Fecha final de comisión: "
                               styleClass="outputLabelStyle" />

                <h:outputText id="fechaFinalComision"
                              value="#{aprobacionComisiones.comisionSeleccionada.fechaFin}"
                              styleClass="outputTextStyle" >
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                </h:outputText>


                <h:outputLabel value="Tiempo de la comisión: "
                               styleClass="outputLabelStyle" />
                <h:outputText id="duracionTotalComisionOT"
                              value="#{aprobacionComisiones.comisionSeleccionada.duracionTotal} &nbsp; días">
                    <f:convertNumber maxFractionDigits="2" />
                </h:outputText>

            </h:panelGrid>

            <p:spacer height="10" />

            <h:panelGrid columns="2" width="100%" cellspacing="5" cellpadding="5">

                <h:outputLabel value="Objeto de la comisión: "
                               styleClass="outputLabelStyle" />

                <h:inputTextarea cols="60" id="objetoComisionMod" disabled="true"
                                 value="#{aprobacionComisiones.comisionSeleccionada.objeto}" />

            </h:panelGrid>

            <p:spacer height="20" width="0" />

            <h:panelGrid columns="2" width="100%" cellspacing="5" cellpadding="5">

                <p:dataTable id="ejecutoresComisionDT" var="ejecutorComision"
                             rowKey="#{ejecutorComision.id}"
                             value="#{aprobacionComisiones.ejecutoresComision}"
                             selectionMode="single" widgetVar="ecDTWV"
                             selection="#{aprobacionComisiones.selectedEjecutorComision}"
                             paginatorPosition="bottom" paginator="true" rows="5"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15"
                             emptyMessage="No hay resultados para esta búsqueda">

                    <f:facet name="header">
                        <h:outputText value="Ejecutores asignados a la comisión"
                                      rendered="#{!aprobacionComisiones.isSubprocesoDepuracion}"/>
                        <h:outputText value="Topógrafos / Ejecutores asignados a la comisión"
                                      rendered="#{aprobacionComisiones.isSubprocesoDepuracion}"/>
                    </f:facet>

                    <p:column headerText="Ejecutor">
                        <h:outputText
                            value="#{ejecutorComision.nombreFuncionarioEjecutor}"
                            styleClass="outputTextStyleInTable"/>
                    </p:column>

                    <p:column headerText="Municipio">
                        <h:outputText value="#{ejecutorComision.municipio}" 
                                      styleClass="outputTextStyleInTable"/>
                    </p:column>

                    <p:column headerText="Número de trámites">
                        <p:commandLink 
                            value="&nbsp;#{ejecutorComision.tramites}&nbsp;"
                            styleClass="commandLinkStyleInTable"
                            action="#{aprobacionComisiones.consultarTramitesDelEjecutor}"
                            onclick="statusDialog2.show();"
                            update=":tramitesDelEjecutorDeLaComisionForm"
                            oncomplete="tramitesEjecutorComisionWV.show(); statusDialog2.hide();"
                            process="@this">
                            <f:setPropertyActionListener
                                target="#{aprobacionComisiones.selectedEjecutorComision}"
                                value="#{ejecutorComision}" />
                        </p:commandLink>

                    </p:column>

                    <p:column headerText="Duración de los trámites (días)">
                        <h:outputText value="#{ejecutorComision.duracion}"
                                      styleClass="outputTextStyleInTable" />
                    </p:column>
                </p:dataTable>

            </h:panelGrid>

            <h:panelGrid columns="2" width="100%" cellspacing="5" cellpadding="5">
                <h:panelGroup>
                    <h:outputLabel value="Razón del rechazo de la comisión: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGroup>

                <h:panelGrid columns="2">
                    <h:inputTextarea id="razonRechazo" required="true"
                                     cols="60"
                                     onkeydown="controlarNroChars(this, 2000, true)"
                                     onkeyup="controlarNroChars(this, 2000, true)"
                                     label="Razón de rechazo"
                                     value="#{aprobacionComisiones.razonRechazoComision}" />
                    <p:message for="razonRechazo" display="icon"
                               id="razonRechazoMsg" />
                </h:panelGrid>
            </h:panelGrid>


            <p:outputPanel layout="block" style="text-align: right">
                <p:commandButton value="Aceptar"
                                 update=":datosComisionARechazarForm"
                                 process="@form" ajax="true"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, confirmacionRechazarComisionWV, true);"
                                 id="rechazarComisionSeleccioandaBtn" icon="ui-icon-disk"
                                 title="Rechazar comisión seleccionada.">
                </p:commandButton>
                <p:spacer width="10" height="0" />
                <p:commandButton value="Cancelar" immediate="true"
                                 icon="ui-icon-close" 
                                 onclick="window.hide();"/>
            </p:outputPanel>
        </p:fieldset>
    </h:panelGrid>

</h:form>

